## univention-dojo 13.0.1-2A~5.0.0.202012011747

=== Makefile ===
#!/usr/bin/make -f
#
# Univention Dojo Package
#  Makefile for building/installing the package
#
# Copyright 2008-2020 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

PKGNAME := univention-dojo
INSTDIR := /usr/share/${PKGNAME}
LIBDIR := $(CURDIR)/libs
VER := 1.16.3

# all JS packages
LIBS := dojo libs/dgrid libs/dstore libs/put-selector libs/xstyle libs/dompurify

.PHONY: build
build: $(LIBS)

.PHONY: clean
clean:
	$(RM) -r dojo $(LIBDIR)
	$(RM) -r univention-dojo-api-viewer
	$(RM) dojo-*.tar.gz

dojo-release-$(VER)-src.tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "8086fc38a9af04fcee27b455e420b652a740c5492efe93ee84d9a9d9ca9d4a43f04fd7190471d845751aac9224fdce71699555932c6004a8e8e975ecc65f675e $@" | sha512sum -c

# treat dojo JS package different
dojo: dojo-release-$(VER)-src.tar.gz
	$(RM) -r $@.tmp
	tar xf $< --transform="s|^[^/]*|$@.tmp|"
	patch -d $@.tmp -p1 -i ../fix_bashism.patch
	patch -d $@.tmp -p1 -i ../fix_grid_focus.patch
	patch -d $@.tmp -p1 -i ../fix_standbyOpacity.patch
	patch -d $@.tmp -p1 -i ../fix_dojo_iframe_textarea.patch
	patch -d $@.tmp -p1 -i ../fix_Dialog_autofocus.patch
	patch -d $@.tmp -p1 -i ../fix_Dialog_resize_handling.patch
	patch -d $@.tmp -p1 -i ../fix_dojox_widget_Standby_scrollbar_offset.patch
	patch -d $@.tmp -p1 -i ../fix_dojox_widget_Standby_cntrIndicatorTop.patch
	patch -d $@.tmp -p1 -i ../fix_dijit_ProgressBar_additional_css_classes.patch
	patch -d $@.tmp -p0 -i ../fix_dijit_MenuItem.patch
	patch -d $@.tmp -p0 -i ../fix_dijit_PopupMenuItem.patch
	patch -d $@.tmp -p0 -i ../fix_dojox_enhancedgrid_selection_icon.patch
	mv $@.tmp $@

libs/dgrid: dgrid-1.1.0.tar.gz
	mkdir -p libs
	$(RM) -r $@.tmp
	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$(@F).tmp|"
	patch -d $@.tmp -p0 -i ../../fix_dgrid_Grid_sortIcon.patch
	mv $@.tmp $@

# all other JS packages
libs/%: %-*.tar.gz
	mkdir -p libs
	$(RM) -r $@.tmp
	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$*.tmp|"
	mv $@.tmp $@

=== debian/changelog ===
univention-dojo (13.0.1-2A~5.0.0.202012011747) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 01 Dec 2020 17:47:54 +0100

univention-dojo (13.0.1-2) unstable; urgency=medium

  * Bug #52453: UCS5 design - added patches to use umc/widgets/Icon
 

 -- Johannes Keiser <keiser@univention.de>  Tue, 01 Dec 2020 17:26:23 +0100

univention-dojo (13.0.1-1) unstable; urgency=medium

  * Bug #48963: upgrade dojo to 1.16.3

 -- Florian Best <best@univention.de>  Sat, 01 Aug 2020 03:18:44 +0200

univention-dojo (13.0.0-1) unstable; urgency=medium

  * Bug #51419: UCS-5.0-0 version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 05 Jun 2020 18:06:20 +0200

univention-dojo (12.0.0-3) unstable; urgency=low

  * Bug #49508: Change Java dependency to default-jre and Suggests

 -- Philipp Hahn <hahn@univention.de>  Mon, 03 Jun 2019 14:06:03 +0200

univention-dojo (12.0.0-2) unstable; urgency=medium

  * Bug #48812: add dompurify to dojo build

 -- Florian Best <best@univention.de>  Fri, 03 May 2019 12:42:28 +0200

univention-dojo (12.0.0-1) unstable; urgency=medium

  * Bug #48326: UCS-4.4-0 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 14 Dec 2018 15:12:37 +0100

univention-dojo (11.0.1-3) unstable; urgency=medium

  * Bug #47997: Re-enable certificate check for wget in Makefile

 -- Ole Schwiegert <schwiegert@univention.de>  Wed, 07 Nov 2018 11:09:11 +0100

univention-dojo (11.0.1-2) unstable; urgency=medium

  * Bug #47997: Disable certificate check for wget in Makefile

 -- Ole Schwiegert <schwiegert@univention.de>  Wed, 07 Nov 2018 08:59:55 +0100

univention-dojo (11.0.1-1) unstable; urgency=medium

  * Bug #47997: Update to dojo version 1.12.4

 -- Ole Schwiegert <schwiegert@univention.de>  Tue, 06 Nov 2018 09:49:03 +0100

univention-dojo (11.0.0-1) unstable; urgency=medium

  * Bug #45841: UCS-4.3 version bump

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 11 Dec 2017 14:40:25 +0100

univention-dojo (10.0.0-4) unstable; urgency=medium

  * Bug #44059: Center standby animation relative to viewport
  	for widgets that exceed the viewport

 -- Johannes Keiser <keiser@univention.de>  Fri, 24 Mar 2017 15:17:32 +0100

univention-dojo (10.0.0-3) unstable; urgency=medium

  * Bug #42291: Updated dojo 1.12.1 and xstyle 0.3.2 

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 31 Jan 2017 11:21:49 +0100

univention-dojo (10.0.0-2) unstable; urgency=medium

  * Bug #42291: Added/Updated dgrid and dstore 

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 19 Oct 2016 18:33:12 +0200

univention-dojo (10.0.0-1) unstable; urgency=medium

  * Bug #41963: UCS-4.2 version bump

 -- Philipp Hahn <hahn@univention.de>  Fri, 12 Aug 2016 13:56:35 +0200

univention-dojo (9.0.1-2) unstable; urgency=medium

  * Bug #41224: fix an error in xstyle which prevents using xstyle with Chrome 51

 -- Florian Best <best@univention.de>  Wed, 11 May 2016 14:06:44 +0200

univention-dojo (9.0.1-1) unstable; urgency=medium

  * Bump version for UCS 4.1 (Bug #39729)

 -- Stefan Gohmann <gohmann@univention.de>  Tue, 03 Nov 2015 22:13:13 +0100

univention-dojo (8.0.3-5) unstable; urgency=medium

  * Change dependency to openjdk-7-jdk (Bug #39572)

 -- Stefan Gohmann <gohmann@univention.de>  Fri, 23 Oct 2015 16:34:29 +0200

univention-dojo (8.0.3-4) unstable; urgency=medium

  * Bug #38225: use CSS class dj_trident for IE11+

 -- Alexander Kläser <klaeser@univention.de>  Wed, 15 Apr 2015 16:57:02 +0200

univention-dojo (8.0.3-3) unstable; urgency=medium

  * Bug #38225: import patch for sniffing IE11

 -- Alexander Kläser <klaeser@univention.de>  Wed, 15 Apr 2015 12:06:50 +0200

univention-dojo (8.0.3-2) unstable; urgency=medium

  * Bug #38225: update Dojo version to 1.10.4

 -- Alexander Kläser <klaeser@univention.de>  Tue, 14 Apr 2015 12:24:21 +0200

univention-dojo (8.0.3-1) unstable; urgency=medium

  Bug #35654:
  * patch dijit/Dialog for optimized handling w.r.t. responsive design
  * update all packages to their latest versions

 -- Alexander Kläser <klaeser@univention.de>  Thu, 30 Oct 2014 11:25:12 +0100

univention-dojo (8.0.2-1) unstable; urgency=medium

  * Bug #35654: adjust handling of CSS classes for dijit/ProgressBar

 -- Alexander Kläser <klaeser@univention.de>  Tue, 21 Oct 2014 13:29:52 +0200

univention-dojo (8.0.1-1) unstable; urgency=medium

  * Bug #35654: add additional CSS classes to dijit/ProgressBar

 -- Alexander Kläser <klaeser@univention.de>  Tue, 21 Oct 2014 12:36:53 +0200

univention-dojo (8.0.0-3) unstable; urgency=low

  * Bug #35764: Included patch for debugging problems

 -- Alexander Kramer <kramer@univention.de>  Mon, 15 Sep 2014 08:15:58 +0200

univention-dojo (8.0.0-2) unstable; urgency=low

  * Bug #35764: Updated dojo to version 1.10

 -- Alexander Kramer <kramer@univention.de>  Fri, 12 Sep 2014 13:47:06 +0200

univention-dojo (8.0.0-1) unstable; urgency=low

  * Bug #35145: Start UCS 4.0 development

 -- Florian Best <best@univention.de>  Wed, 16 Jul 2014 09:47:38 +0200

univention-dojo (7.0.6-2) unstable; urgency=low

  * Bug #33990: update to Dojo 1.9.3

 -- Florian Best <best@univention.de>  Thu, 03 Apr 2014 11:09:56 +0200

univention-dojo (7.0.6-1) unstable; urgency=low

  * Bug #32972: imported new version of put-selector

 -- Alexander Kläser <klaeser@univention.de>  Wed, 23 Oct 2013 18:36:58 +0200

univention-dojo (7.0.5-1) unstable; urgency=low

  * Bug #32264: rename patch

 -- Florian Best <best@univention.de>  Thu, 10 Oct 2013 12:48:52 +0200

univention-dojo (7.0.4-1) unstable; urgency=low

  * Bug #32264: implement patch

 -- Florian Best <best@univention.de>  Thu, 10 Oct 2013 12:43:23 +0200

univention-dojo (7.0.3-1) unstable; urgency=low

  * Bug #31639: update to Dojo 1.9.1 and dgrid 0.3.9

 -- Alexander Kläser <klaeser@univention.de>  Thu, 15 Aug 2013 12:58:30 +0200

univention-dojo (7.0.2-1) unstable; urgency=low



=== debian/control ===
Source: univention-dojo
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 ca-certificates,
 debhelper,
 wget,
Standards-Version: 3.7.2

Package: univention-dojo
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
Description: The Dojo Toolkit, javascript source files
 This package contains the javascript source files of the Dojo Toolkit.

Package: univention-dojo-dev
Architecture: all
Depends:
 default-jre-headless,
 univention-dojo (= ${source:Version}),
 ${misc:Depends},
Description: The Dojo Toolkit, utilility functions and tools
 This package contains utility functions and tools of the Dojo Toolkit

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Dojo Package
#  rules file for generating the deb package
#
# Copyright 2008-2020 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

%:
	dh $@

## univention-dojo 14.0.1A~5.1.0.202402201105

=== debian/changelog ===
univention-dojo (14.0.1A~5.1.0.202402201105) ucs5-1-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 20 Feb 2024 11:05:36 +0100

univention-dojo (14.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 08:51:28 +0100

univention-dojo (13.0.2-1) UNRELEASED; urgency=medium

  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention Dojo Package
 #  rules file for generating the deb package
 #
-# Copyright 2008-2020 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2008-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-dojo 15.0.1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,10 @@
 # Univention Dojo Package
 #  Makefile for building/installing the package
 #
-# Copyright 2008-2020 Univention GmbH
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
+#
+# Copyright 2008-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-dojo (15.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Tue, 20 Feb 2024 08:54:07 +0100

## univention-dojo 15.4.0

=== Makefile ===
--- 
+++ 
@@ -3,35 +3,8 @@
 # Univention Dojo Package
 #  Makefile for building/installing the package
 #
-# Like what you see? Join us!
-# https://www.univention.com/about-us/careers/vacancies/
-#
-# Copyright 2008-2024 Univention GmbH
-#
-# https://www.univention.de/
-#
-# All rights reserved.
-#
-# The source code of this program is made available
-# under the terms of the GNU Affero General Public License version 3
-# (GNU AGPL V3) as published by the Free Software Foundation.
-#
-# Binary versions of this program provided by Univention to you as
-# well as other copyrighted, protected or trademarked materials like
-# Logos, graphics, fonts, specific documentations and configurations,
-# cryptographic keys etc. are subject to a license agreement between
-# you and Univention and not subject to the GNU AGPL V3.
-#
-# In the case you use this program under the terms of the GNU AGPL V3,
-# the program is provided in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU Affero General Public License for more details.
-#
-# You should have received a copy of the GNU Affero General Public
-# License with the Debian GNU/Linux or Univention distribution in file
-# /usr/share/common-licenses/AGPL-3; if not, see
-# <https://www.gnu.org/licenses/>.
+# SPDX-FileCopyrightText: 2008-2025 Univention GmbH
+# SPDX-License-Identifier: AGPL-3.0-only
 
 PKGNAME := univention-dojo
 INSTDIR := /usr/share/${PKGNAME}

=== debian/changelog ===
univention-dojo (15.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:29:59 +0100

univention-dojo (15.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:19 +0200

univention-dojo (15.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:47 +0200

univention-dojo (15.0.2-1) UNRELEASED; urgency=medium

  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:32 +0100

univention-dojo (14.0.2) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:29 +0100

univention-dojo (13.0.3-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
  ca-certificates,
- debhelper,
+ debhelper-compat (=13),
  wget,
 Standards-Version: 3.7.2

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Dojo Package
#  rules file for generating the deb package
#
# SPDX-FileCopyrightText: 2008-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

%:
	dh $@

## univention-dojo 15.4.2

=== Makefile ===
#!/usr/bin/make -f
#
# Univention Dojo Package
#  Makefile for building/installing the package
#
# SPDX-FileCopyrightText: 2008-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

.PHONY: build dojo dojox dijit dijit-themes util patches download-libs download clean

PKGNAME := univention-dojo
INSTDIR := /usr/share/${PKGNAME}
LIBDIR := $(CURDIR)/libs
DOJO := 1.17.3
DGRID := 1.3.3
DSTORE := 1.2.1
DOMPURIFY := 2.5.8
# DOMPURIFY := 3.3.0
PUTSELECTOR := 0.3.6
XSTYLE := 0.3.3

# all JS packages
LIBS := dojo dojox dijit dijit-themes util libs/dgrid libs/dstore libs/put-selector libs/xstyle libs/dompurify

build: download-libs $(LIBS) patches

clean:
	$(RM) -r dojo $(LIBDIR)
	$(RM) *.tar.gz

download-libs: dgrid-$(DGRID).tar.gz dstore-${DSTORE}.tar.gz xstyle-${XSTYLE}.tar.gz dompurify-${DOMPURIFY}.tar.gz put-selector-${PUTSELECTOR}.tar.gz
	echo

dojo-release-$(DOJO)-src.tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "0d4780eace9f23c02e579b11087df79201259db4d7ff48517ad24372a807a1755ea30a34341155fb876b6d16d512a29ca1b86c3dbf02b91c8dce7c3c344ef2ac $@" | sha512sum -c

dojox-release-$(DOJO)-src.tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "e821e5f3e88edcf5bdd17babc2a8e0800448a15f8808635610ba0858202729cd41f88ff6eaba65f441266b2827cf81f29c5eeb315027f75df56c0d757887e00b $@" | sha512sum -c

dijit-release-$(DOJO)-src.tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "ffa22456f74ba4f59067be92c8259b767e530831f792ce0da824e03dcd22191d72fb1d3a5f8b510f86d8d3927ba7768e7598b47546ea050fe9d8477f8e28deee $@" | sha512sum -c

dijit-themes-release-$(DOJO)-src.tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "f0a4cdcdb0cb0e1b605fe0fda0606552d8df8a3c28f8ed78f3106df5d84859ed9e317758501d8b4d7a8025a21d6e7c54b4732159fc5f780dffa5512c721c19c3 $@" | sha512sum -c

util-release-$(DOJO)-src.tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "061f063a1fd84207b7431882d03a07b2d18929957a783f71fd1a85f487bac9b413694da0f0179c9159f131680677dc3312962abc8cb8083c23f80b1f0d091c1a $@" | sha512sum -c

dstore-$(DSTORE).tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "98c71110859ded349d030db7d2a295fa1c567cfc701d281ede6836af4c76fd7ea507dcac2ca62b76530de595641f789a6f35b2a77086017094fc9d3787417013 $@" | sha512sum -c

dgrid-$(DGRID).tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "291a8696d28978d76799d8658c2a110157cdb99fd897303e4e2c7e30bad9d661cffafc851054fba33bbb6cd922f16638818d0d2f790bb40894d13da211fb267e $@" | sha512sum -c

xstyle-$(XSTYLE).tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "3828517c0112cddfa06ff2870dbefe63be8d14c348849a8ef505801c49aeaddfc7dba413f120b4f8250408418ce29cb41d918e0f5b94d04b58fd099460089a65 $@" | sha512sum -c

dompurify-$(DOMPURIFY).tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "23f02a867b94352bd9f104783951f29467a00b2e6fce05314d7992ec5fa8c73289470818ec2ce711272976735f058be238fe7051680949e90bd5ebb01a39c20a $@" | sha512sum -c
	# echo "19636687f62e1e8b2ce1b8dc0db9413b5651feeed85c8eb927201a11c60ee5eb6294ef7dd573ef2a4f3f5197a7bc02d3263a6558af3225e8b455614e8c573c2d $@" | sha512sum -c

put-selector-$(PUTSELECTOR).tar.gz:
	wget -N "https://updates.software-univention.de/download/large-build-files/dojo/$@"
	echo "b1a9b9586412a8b7f0234cbf94b87b40ec12d3562d5383b7ba2a537e0c833388ec815330ecd456b7341da4371446d1d85d8fe63a581ccc3319a385bd644f29ec $@" | sha512sum -c

# treat dojo JS package different
dojo: dojo-release-$(DOJO)-src.tar.gz
	$(RM) -r $@.tmp
	tar xf $< --transform="s|^[^/]*|$@.tmp/$@|"

dojox: dojox-release-$(DOJO)-src.tar.gz
	tar xf $< --transform="s|^[^/]*|dojo.tmp/$@|"

dijit: dijit-release-$(DOJO)-src.tar.gz
	tar xf $< --transform="s|^[^/]*|dojo.tmp/$@|"

dijit-themes: dijit-themes-release-$(DOJO)-src.tar.gz
	tar xf $< --transform="s|^[^/]*|dojo.tmp/$@|"

util: util-release-$(DOJO)-src.tar.gz
	tar xf $< --transform="s|^[^/]*|dojo.tmp/$@|"

patches: dojo dojox dijit dijit-themes util
	patch -d dojo.tmp -p1 -i ../fix_bashism.patch
	patch -d dojo.tmp -p1 -i ../fix_grid_focus.patch
	patch -d dojo.tmp -p1 -i ../fix_standbyOpacity.patch
	patch -d dojo.tmp -p1 -i ../fix_dojo_iframe_textarea.patch
	patch -d dojo.tmp -p1 -i ../fix_Dialog_autofocus.patch
	patch -d dojo.tmp -p1 -i ../fix_Dialog_resize_handling.patch
	patch -d dojo.tmp -p1 -i ../fix_dojox_widget_Standby_scrollbar_offset.patch
	patch -d dojo.tmp -p1 -i ../fix_dojox_widget_Standby_cntrIndicatorTop.patch
	patch -d dojo.tmp -p1 -i ../fix_dijit_ProgressBar_additional_css_classes.patch
	patch -d dojo.tmp -p0 -i ../fix_dijit_MenuItem.patch
	patch -d dojo.tmp -p0 -i ../fix_dijit_PopupMenuItem.patch
	patch -d dojo.tmp -p0 -i ../fix_dojox_enhancedgrid_selection_icon.patch
	mv dojo.tmp dojo

libs/dgrid: dgrid-$(DGRID).tar.gz
	mkdir -p libs
	$(RM) -r $@.tmp
	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$(@F).tmp|"
	patch -d $@.tmp -p0 -i ../../fix_dgrid_Grid_sortIcon.patch
	patch -d $@.tmp -p0 -i ../../fix_dgrid_Tree_reload.patch
	mv $@.tmp $@

libs/dstore: dstore-${DSTORE}.tar.gz
	mkdir -p libs
	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$(@F)|"

libs/put-selector: put-selector-${PUTSELECTOR}.tar.gz
	mkdir -p libs
	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$(@F)|"

libs/xstyle: xstyle-${XSTYLE}.tar.gz
	mkdir -p libs
	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$(@F)|"

libs/dompurify: dompurify-${DOMPURIFY}.tar.gz
	mkdir -p libs
	$(RM) -r $@.tmp
	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$(@F).tmp|"
	mv $@.tmp/dist $@
	$(RM) -r $@.tmp
	$(RM) $@/*.cjs.* $@/*.es.*
	cp dompurify.js libs/dompurify/package.js

# doesn't work since the files are downloaded
# # all other JS packages
# libs/%: %-*.tar.gz
# 	mkdir -p libs
# 	$(RM) -r $@.tmp
# 	tar -C libs --no-same-owner -xf $< --transform="s|^[^/]*|$*.tmp|"
# 	mv $@.tmp $@

download:
	wget -O dojo-release-${DOJO}-src.tar.gz https://github.com/dojo/dojo/archive/refs/tags/${DOJO}.tar.gz
	wget -O dojox-release-${DOJO}-src.tar.gz https://github.com/dojo/dojox/archive/refs/tags/${DOJO}.tar.gz
	wget -O dijit-release-${DOJO}-src.tar.gz https://github.com/dojo/dijit/archive/refs/tags/${DOJO}.tar.gz
	wget -O dijit-themes-release-${DOJO}-src.tar.gz https://github.com/dojo/dijit-themes/archive/refs/tags/${DOJO}.tar.gz
	wget -O util-release-${DOJO}-src.tar.gz https://github.com/dojo/util/archive/refs/tags/${DOJO}.tar.gz
	wget -O dstore-${DSTORE}.tar.gz https://github.com/dojo/dojo1-dstore/archive/refs/tags/v${DSTORE}.tar.gz
	wget -O dgrid-${DGRID}.tar.gz https://github.com/dojo/dojo1-dgrid/archive/refs/tags/v${DGRID}.tar.gz
	wget -O xstyle-${XSTYLE}.tar.gz https://github.com/kriszyp/xstyle/archive/refs/tags/v${XSTYLE}.tar.gz
	wget -O dompurify-${DOMPURIFY}.tar.gz https://github.com/cure53/DOMPurify/archive/refs/tags/${DOMPURIFY}.tar.gz
	wget -O put-selector-${PUTSELECTOR}.tar.gz https://github.com/kriszyp/put-selector/archive/refs/tags/v${PUTSELECTOR}.tar.gz

=== debian/changelog ===
univention-dojo (15.4.2) unstable; urgency=medium

  * Bug #58843: add dgrid patch for auto loading of tree root

 -- Florian Best <best@univention.de>  Sat, 13 Dec 2025 12:21:38 +0100

univention-dojo (15.4.1) unstable; urgency=medium

  * Bug #58843: upgrade dojo libs

 -- Florian Best <best@univention.de>  Fri, 28 Nov 2025 14:59:06 +0100
